// =====================================
// Функция WndProc
// =====================================

#define STRICT
#include <windows.h>

#define BEEP_TIMER 1

LRESULT CALLBACK _export
WndProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)
{

  switch (msg)
  {
    case WM_CREATE:
    {
       // Создаем таймер, посылающий сообщения
       // функции окна примерно раз в секунду
       SetTimer(hwnd, BEEP_TIMER, 1000, NULL);
       return 0;
    }

    case WM_TIMER:
    {
       // В ответ на сообщение таймера выдаем
       // звуковой сигнал
       MessageBeep(-1);
       return 0;
    }

    case WM_DESTROY:
    {
      // Перед уничтожением окна уничтожаем
      // созданный ранее таймер
      KillTimer(hwnd, BEEP_TIMER);

      PostQuitMessage(0);
      return 0;
    }
  }
  return DefWindowProc(hwnd, msg, wParam, lParam);
}

